ConfigurationList Payment Methods

List Payment Methods

curl -X GET "https://sandbox-api.aparatech.io/v1/public/config/payment-methods?direction=deposit&userType=individual&currency=example_string&headlessMode=true&limit=5&page=1" \
  -H "Content-Type: application/json" \
  -H "MID: example_string"
{
  "status": "success",
  "data": [
    {
      "name": "ACB BANK",
      "paymentCode": "acb",
      "paymentType": "bank_transfer",
      "logoUrl": "https://common-payment-methods-logo.s3.ap-southeast-1.amazonaws.com/bank_transfer.svg",
      "minAmount": 50000,
      "maxAmount": 249999999
    }
  ]
}
GET
/v1/public/config/payment-methods
GET
Base URLstring

Target server for requests. Edit to use your own host.

query
directionstring
Required

Transaction direction — deposit or withdraw.

Options: deposit, withdraw
query
userTypestring

Type of user — individual or business.

Options: individual, business
query
currencystring

Filter payment methods by currency code (e.g. USD, IDR).

query
headlessModeboolean

If true, additionalDetails are included in the response; if false, they are hidden.

query
limitinteger

Number of results per page.

query
pageinteger

Page number for pagination.

header
MIDstring
Required

Merchant ID for authentication.

Request Preview
Response

Response will appear here after sending the request

Query Parameters

directionstring
Required

Transaction direction — deposit or withdraw.

Allowed values:depositwithdraw
userTypestring

Type of user — individual or business.

Allowed values:individualbusiness
currencystring

Filter payment methods by currency code (e.g. USD, IDR).

headlessModeboolean

If true, additionalDetails are included in the response; if false, they are hidden.

limitinteger

Number of results per page.

pageinteger

Page number for pagination.

Headers

MIDstring
Required

Merchant ID for authentication.

Responses

statusstring
dataarray